import { useEffect, useRef } from 'react';

export function useInterval(fn,delay,options) {
  const immediate = options?.immediate;

  const fnRef = useRef();
  fnRef.current = fn;

  useEffect(() => {
    if (delay === undefined || delay === null) return;
    if (immediate) {
      fnRef.current?.();
    }
    const timer = setInterval(() => {
      fnRef.current?.();
    }, delay);
    return () => {
      clearInterval(timer);
    };
  }, [delay]);
}