


export function firstCharToLowerCase(obj) {
  return Object.entries(obj).reduce((o, [key, value]) => {
    o[`${key[0].toLocaleLowerCase()}${key.slice(1)}`] = value;
    return o;
  },{});
}

export const hint = msg => Taro.showToast({ title: msg, icon: 'none', duration: 2000 });


export function firstCharToUpperCase(obj) {
  return Object.entries(obj).reduce((o, [key, value]) => {
    o[`${key[0].toLocaleUpperCase()}${key.slice(1)}`] = value;
    return o;
  },{});
}

export const isReqSuccess = res => res.code === 0 || res.Code === 0;
class RequestHandler {
  constructor(response) {
    this.response = response;
  }
  success(f) {
    const res = this.response;
    if (res.httpCode !== 200) { return; }
    if (!isReqSuccess(res)) { return; }
    f(res);
    return this;
  }
  error(f) { // 业务上报错
    const res = this.response;
    if (res.httpCode !== 200) { return; }
    if (isReqSuccess(res)) { return; }
    f(res);
    return this;
  }
  httpError(f) { // 请求报错
    const res = this.response;
    if(res.httpCode !== 200) {
      f(res);
    }
    return this;
  }
}

export const handleRequest = res => new RequestHandler(res);